@echo off&Title Youtube-DL视频下载工具 - 更多功能

:VDstart
echo.&echo.
echo -------------------------------------
echo.
echo.
echo.&echo. Youtube-DL视频下载工具 - 更多功能
echo.&echo.
echo 	输入 0 可返回主菜单
echo.&echo.
set /p URL=请输入视频网址或拖入txt并回车:

::如果URL为0就返回主菜单
if %URL% NEQ 0 goto MediaDownMenu
if %URL% EQU 0 call "AYY-VideoDown.BAT"

:proxy
echo.&echo.
echo 请选择代理
echo 1. 默认系统代理
echo 2. 使用socks代理
echo 3. 其他代理
set /p PC=请选择相应的代理方式：

if "%PC%"=="1" set proxy= &Goto MediaDownMenu
if "%PC%"=="2" set proxy=--proxy socks5://127.0.0.1:1080/ &Goto MediaDownMenu
if "%PC%"=="3" set /p proxy=自定义代理(例子--proxy 127.0.0.1:3128)： &Goto MediaDownMenu

:MediaDownMenu
echo.&echo.
echo Youtube-DL 下载方式
echo -------------------------------------
echo.&echo.
echo.（注：如果你是拖入的txt请选择3）
echo 1. 想要自己选择清晰度和格式
echo.&echo.
echo 2. 指定列表下载的范围
echo.&echo.
echo 3. 读取txt批量下载
echo.&echo.
set /p choose=请选择相应的处理方式：
set OP=-o "%CD%\Download\youtubedl-down\%%(title)s.%%(ext)s" -c -i --write-sub --write-auto-sub %proxy%

if "%choose%"=="1" Goto ChooseQuality
if "%choose%"=="2" Goto PlaylistDown-item
if "%choose%"=="3" Goto MultipleDown


:ChooseQuality
youtube-dL -F %URL%
Set /p CQ=指定视频的格式代号以选择质量并按回车：
youtube-dL %OP% -f %CQ% %URL% &Goto VDstart

:PlaylistDown-item
echo -------------------------------------
echo !说明
echo.
echo 指定播放列表中视频，用英文输入状态下的逗号分隔。
echo 比如您可以输入1-3,7,10-13
echo 它将下载视频列表中的1,2,3,7,10,11,12和13。
echo.

set /p ITEM=请输入下载视频的范围:
echo.
set /p folder=请输入下载文件夹名字:
echo.
md %CD%\Download\youtubedl-down\%folder%
set OPN=-o "%CD%\Download\youtubedl-down\%%(title)s.%%(ext)s" -c -i --write-sub --write-auto-sub %proxy%
youtube-dL %OPN% %URL% &Goto VDstart

:MultipleDown
youtube-dl %OP% --batch-file %URL% &Goto VDstart